#ifndef __SETTINGS_H__
#define __SETTINGS_H__

#include <util/settings.h>

using namespace os;

class FTPSettings : public Settings
{
public:
	bool GetPassive()
	{
		return( GetBool( "passive", true ) );
	}
	
	status_t SetPassive( bool bPassive )
	{
		return( SetBool( "passive", bPassive ) );
	}
	
	int GetMaxConnections()
	{
		return( GetInt32( "max_connections", 2 ) );
	}
	
	status_t SetMaxConnections( int nMax )
	{
		return( SetInt32( "max_connections", nMax ) );
	}
	
	bool GetSaveHistory()
	{
		return( GetBool( "save_history", true ) );
	}
	
	status_t SetSaveHistory( bool bSave )
	{
		return( SetBool( "save_history", bSave ) ); 
	}
};


#endif	/* __SETTINGS_H__ */
