#include "settingsmenu.h"
#include "messages.h"

SettingsMenu::SettingsMenu( const String& zName, FTPSettings* pcSettings )
	: Menu( Rect( 0,0,1,1 ), zName, ITEMS_IN_COLUMN  )
{
	m_pcPassive = new CheckMenu( "Use passive mode", new Message( M_SETTINGS_PASSIVE ), true );
	m_pcSaveHistory = new CheckMenu( "Remember server addresses", new Message( M_SETTINGS_SAVE_HISTORY ), true );
	m_pcMaxConnections = new MenuItem( "Maximum connections: 2", new Message( M_SETTINGS_MAX_CONNECTIONS_MENU ) );
	
	AddItem( m_pcPassive );
	AddItem( m_pcSaveHistory );
	AddItem( m_pcMaxConnections );
	
	if( pcSettings ) SetSettings( pcSettings );
}

SettingsMenu::~SettingsMenu()
{
	/* Menu items are deleted by ~Menu */
}

void SettingsMenu::SetSettings( FTPSettings* pcSettings )
{
	m_pcPassive->SetChecked( pcSettings->GetPassive() );
	m_pcSaveHistory->SetChecked( pcSettings->GetSaveHistory() );
	String zTmp;
	zTmp.Format( "Maximum simultaneous connections: %i", pcSettings->GetMaxConnections() );
	m_pcMaxConnections->SetLabel( zTmp );
}

