#ifndef FTP_VIEW_H
#define FTP_VIEW_H

#include <gui/view.h>
#include <gui/splitter.h>

#include "remoteview.h"
#include "localview.h"
#include "address_field.h"
#include "server.h"

class FTPView : public os::View
{
public:
	FTPView(const os::Rect&, const os::String&);
public:
	void SetServer( Server* pcServer );
	
	void HandleMessage( Message* pcMessage );
	
	void AllAttached();
	void ReRead();
	
	os::Point GetPreferredSize(bool) const;
private:
	os::Splitter* m_pcSplitter;
	FTPRemoteView* remote;
	AddressField* m_pcRemoteBar;
	FTPLocalView* iconview;   //using this so we can use drag/drop
	AddressField* m_pcLocalBar;
};

#endif





